Bug 1544251 - SELinux is preventing gdm-wayland-ses from 'read' accesses on the lnk_file machine-id.
Summary: SELinux is preventing gdm-wayland-ses from 'read' accesses on the lnk_file ma...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5ce5d87dda14b6a721e1c59f00b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-11 17:20 UTC by rad.smid
Modified: 2018-03-20 18:16 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-283.28.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-20 18:16:21 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description rad.smid 2018-02-11 17:20:16 UTC
Description of problem:
1 Start Lollipop music player
2 Allow netwok access
3 Start playing music.
4 Click on music icon (left upper album cover) and search for lyrics.
5 Click on music icon (left upper album cover) and close the lyrics.
6 Start playing different music in Lollipop
7 Click on music icon (left upper album cover).

Program craches, this and one other error appear. Happens everytime.
Already reported it to plugin owner in bugzilla, which said that it is not his problem and that problem is upstream.



SELinux is preventing gdm-wayland-ses from 'read' accesses on the lnk_file machine-id.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gdm-wayland-ses should be allowed read access on the machine-id lnk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'gdm-wayland-ses' --raw | audit2allow -M my-gdmwaylandses
# semodule -X 300 -i my-gdmwaylandses.pp

Additional Information:
Source Context                xguest_u:xguest_r:xguest_t:s0
Target Context                system_u:object_r:system_dbusd_var_lib_t:s0
Target Objects                machine-id [ lnk_file ]
Source                        gdm-wayland-ses
Source Path                   gdm-wayland-ses
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Unknown>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.12.14-300.fc26.x86_64 #1 SMP Wed
                              Sep 20 16:28:07 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-09-28 21:01:43 CEST
Last Seen                     2017-09-28 21:01:43 CEST
Local ID                      f9746172-12b7-4bcc-a5cf-3d35019dbcad

Raw Audit Messages
type=AVC msg=audit(1506625303.908:236): avc:  denied  { read } for  pid=1543 comm="gdm-wayland-ses" name="machine-id" dev="dm-0" ino=1051875 scontext=xguest_u:xguest_r:xguest_t:s0 tcontext=system_u:object_r:system_dbusd_var_lib_t:s0 tclass=lnk_file permissive=0


Hash: gdm-wayland-ses,xguest_t,system_dbusd_var_lib_t,lnk_file,read


Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.14.16-300.fc27.x86_64
type:           libreport

Potential duplicate: bug 1474705

Comment 1 Fedora Update System 2018-03-07 17:11:13 UTC
selinux-policy-3.13.1-283.27.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-32ebae3424

Comment 2 Fedora Update System 2018-03-08 16:21:46 UTC
selinux-policy-3.13.1-283.27.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-32ebae3424

Comment 3 Fedora Update System 2018-03-12 18:17:40 UTC
selinux-policy-3.13.1-283.28.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-32ebae3424

Comment 4 Fedora Update System 2018-03-14 01:34:52 UTC
selinux-policy-3.13.1-283.28.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-32ebae3424

Comment 5 Fedora Update System 2018-03-20 18:16:21 UTC
selinux-policy-3.13.1-283.28.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.